Package org.eclipse.wst.xml.xpath.core

## org.eclipse.wst.xml.xpath.core
Class XPathCorePlugin

    public class XPathCorePlugin
    extends Plugin

The activator class controls the plug-in life cycle

## Field Summary

`public static java.lang.String` | `PLUGIN_ID`

## Constructor Summary

`XPathCorePlugin()`

## Method Summary

`public static org.eclipse.wst.xml.xpath.core.XPathCorePlugin` | `getDefault()` Returns the shared instance
`public void` | `start(BundleContext context)`
`public void` | `stop(BundleContext context)`

## Field Detail

## PLUGIN_ID

`public static java.lang.String PLUGIN_ID`

## Constructor Detail

## XPathCorePlugin

`public XPathCorePlugin()`

The constructor

## Methods Detail

## getDefault

`public org.eclipse.wst.xml.xpath.core.XPathCorePlugin getDefault()`

Returns the shared instance

### Returns

`org.eclipse.wst.xml.xpath.core.XPathCorePlugin` - the shared instance

## start

`public void start(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`

## stop

`public void stop(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`